setlocal

set GF_HOME=c:\glassfish_v2.1\glassfish
set PATH=%GF_HOME%\bin;%PATH%

set CLUSTER_NAME=cluster1
set NODEAGENT_NAME=na

cmd/c asadmin start-domain
cmd/c asadmin create-node-agent %NODEAGENT_NAME%
cmd/c asadmin start-node-agent --user admin --passwordfile password.txt %NODEAGENT_NAME%
cmd/c asadmin create-cluster %CLUSTER_NAME%
cmd/c asadmin create-instance --nodeagent %NODEAGENT_NAME% --cluster %CLUSTER_NAME% %CLUSTER_NAME%-1
cmd/c set %CLUSTER_NAME%.jms-service.type=REMOTE
mkdir %GF_HOME%\nodeagents\%NODEAGENT_NAME%\%CLUSTER_NAME%-1\imq 
cmd/c start "MQ.BROKER" %GF_HOME%\imq\bin\imqbrokerd.exe -name MQ.BROKER -varhome %GF_HOME%\nodeagents\%NODEAGENT_NAME%\%CLUSTER_NAME%-1\imq -port 37676 -reset store
call :sleep 5000
cmd/c asadmin start-cluster %CLUSTER_NAME%

cmd/c asadmin create-jms-resource --echo=true  --restype javax.jms.TopicConnectionFactory --target %CLUSTER_NAME% jms/TestTopicConnectionFactory
cmd/c asadmin create-jms-resource --echo=true  --restype javax.jms.Topic --property imqDestinationName=TestTopic  --target %CLUSTER_NAME% jms/TestTopic


endlocal

goto :EOF



:sleep
REM Sleep for specified number of milliseconds
ping 1.1.1.1 -n 1 -w %1 > nul
goto :EOF
